Subject: Re: [PATCH 2/3] git-fetch: do not use "*" for fetching multiple refs

From: Jakub Narebski <[email-masked]>
Date: Mon, 04 Dec 2006 20:48:27 +0100

Michael Loeffler wrote:

> The trailing / is enough to decide if this should map everything under
> refs/heads/ to refs/somewhere/.
> 
> The "*" should be reserved for the use as regex operator.
> 
> Signed-off-by: Michael Loeffler <[email-masked]>
> ---
> I want to use regular expressions to match remote refs, so I try to
> implement this. But the current globfetch syntax needs the '*'.
> 
> Maybe it is not to late to change the syntax to this:
> Pull: refs/heads/:refs/remotes/origin/
> 
> What do you think?

I'm not sure if regexp support is truly better than the usual path globbing,
as in fnmatch / glob.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git